/****************************************************************************
* Tano - An Open IP TV Player
* Copyright (C) 2012 Tadej Novak <tadej@tano.si>
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program. If not, see <http://www.gnu.org/licenses/>.
*****************************************************************************/

#include "xmltv/containers/XmltvProgramme.h"
#include "xmltv/models/XmltvProgrammeModel.h"

XmltvProgrammeModel::XmltvProgrammeModel(QObject *parent)
    : ListModel(new XmltvProgramme, parent) { }

XmltvProgrammeModel::~XmltvProgrammeModel() { }

XmltvProgramme *XmltvProgrammeModel::find(const QString &id) const
{
    return qobject_cast<XmltvProgramme *>(ListModel::find(id));
}

XmltvProgramme *XmltvProgrammeModel::row(const int &row)
{
    return qobject_cast<XmltvProgramme *>(ListModel::row(row));
}

XmltvProgramme *XmltvProgrammeModel::takeRow(const int &row)
{
    return qobject_cast<XmltvProgramme *>(ListModel::takeRow(row));
}
