/****************************************************************************
* Tano - An Open IP TV Player
* Copyright (C) 2012 Tadej Novak <tadej@tano.si>
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program. If not, see <http://www.gnu.org/licenses/>.
*****************************************************************************/

#if defined(Qt5)
    #include <QtWidgets/QAction>
#elif defined(Qt4)
    #include <QtGui/QAction>
#endif

#include "common/DesktopShortcuts.h"

DesktopShortcuts::DesktopShortcuts(const QList<QAction *> &list,
                                   QObject *parent)
    : SettingsShortcuts(parent),
      _actions(list)
{
    apply();
}

DesktopShortcuts::~DesktopShortcuts() { }

void DesktopShortcuts::apply()
{
    QStringList currentKeys = readKeys();

    for (int i = 0; i < _actions.size(); i++) {
        _actions[i]->setShortcut(QKeySequence(currentKeys[i]));
        _actions[i]->setShortcutContext(Qt::ApplicationShortcut);
    }
}
